## libqmatrixclient 0.4.2.1

=== debian/changelog ===
libqmatrixclient (0.4.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 14 Jan 2019 11:21:36 -0500

libqmatrixclient (0.4.1-1) unstable; urgency=medium

  * Initial release of splitting the library out from quaternion.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 24 Dec 2018 15:11:03 -0500
