## libqmatrixclient 0.4.2.1.1+rb2

=== debian/changelog ===
libqmatrixclient (0.4.2.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 28 Jan 2021 19:04:00 +0800
