=== debian/changelog ===
libqmatrixclient (0.5.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:23 +0100

libqmatrixclient (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 25 Jun 2019 16:35:11 -0400
