=== debian/control ===
Source: libqmatrixclient
Priority: optional
Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>= 10), cmake, qtbase5-dev, qtmultimedia5-dev
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/quotient-im/libQuotient
Vcs-Git: https://salsa.debian.org/matrix-team/libqmatrixclient.git
Vcs-Browser: https://salsa.debian.org/matrix-team/libqmatrixclient

Package: libqmatrixclient-dev
Section: libdevel
Architecture: any
Depends: libqmatrixclient0.5.1 (= ${binary:Version}), ${misc:Depends}
Description: Qt5 library to write cross-platform clients for Matrix
 libQMatrixClient is a Qt5-based library to make IM clients for the Matrix
 protocol. It is the backbone of Quaternion, Spectral and some other projects.

Package: libqmatrixclient0.5.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt5 library to write cross-platform clients for Matrix
 libQMatrixClient is a Qt5-based library to make IM clients for the Matrix
 protocol. It is the backbone of Quaternion, Spectral and some other projects.
