## libqmatrixclient 0.5.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1)
 
-set(API_VERSION "0.5.1") # Normally it should just include major.minor
-project(qmatrixclient VERSION "0.5.2" LANGUAGES CXX)
+set(API_VERSION "0.5.3") # Normally it should just include major.minor
+project(qmatrixclient VERSION "0.5.3.2" LANGUAGES CXX)
 
 option(QMATRIXCLIENT_INSTALL_EXAMPLE "install qmc-example application" ON)
 
@@ -78,6 +78,7 @@
     lib/networkaccessmanager.cpp
     lib/connectiondata.cpp
     lib/connection.cpp
+    lib/ssosession.cpp
     lib/logging.cpp
     lib/room.cpp
     lib/user.cpp
@@ -98,6 +99,7 @@
     lib/events/roommemberevent.cpp
     lib/events/typingevent.cpp
     lib/events/receiptevent.cpp
+    lib/events/reactionevent.cpp
     lib/events/callanswerevent.cpp
     lib/events/callcandidatesevent.cpp
     lib/events/callhangupevent.cpp
