=== debian/changelog ===
libqmatrixclient (0.5.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Set packaging team as maintainer.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 17 Apr 2020 16:32:17 -0400
