=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libqmatrixclient
 Priority: optional
-Maintainer: Hubert Chathi <uhoreg@debian.org>
-Build-Depends: debhelper (>= 10), cmake, qtbase5-dev, qtmultimedia5-dev
+Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
+Uploaders: Hubert Chathi <uhoreg@debian.org>
+Build-Depends: debhelper-compat (= 12), cmake, qtbase5-dev, qtmultimedia5-dev
 Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/quotient-im/libQuotient
