=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_INCLUDEDIR=include/libqmatrixclient -DBUILD_SHARED_LIBS=1

override_dh_auto_install:
	dh_auto_install
# unused example file -- remove to avoid warning from dh_missing
	rm debian/tmp/usr/bin/qmc-example
# libQMatrixClient 0.5.3 doesn't change the ABI from libQMatrixClient0.5.1
	ln -s libQMatrixClient.so.0.5.3.2 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQMatrixClient.so.0.5.1
